SUSE: 2022:2693-1 ses/7.1/cephcsi/csi-node-driver-registrar Securit...
SUSE Container Update Advisory: ses/7.1/cephcsi/csi-node-driver-registrar
-----------------------------------------------------------------
Container Advisory ID : SUSE-CU-2022:2693-1
Container Tags        : ses/7.1/cephcsi/csi-node-driver-registrar:v2.5.0 , ses/7.1/cephcsi/csi-node-driver-registrar:v2.5.0-rev1 , ses/7.1/cephcsi/csi-node-driver-registrar:v2.5.0-rev1-build2.2.263
Container Release     : 2.2.263
Severity              : critical
Type                  : security
References            : 1047178 1189282 1189802 1195773 1199140 1199492 1199895 1200993
                        1201092 1201576 1201638 1201680 1201783 1201942 1201972 1203018
                        1203649 1204357 CVE-2017-6512 CVE-2021-36690 CVE-2021-46828 CVE-2022-31252
                        CVE-2022-3515 CVE-2022-35737 
-----------------------------------------------------------------

The container ses/7.1/cephcsi/csi-node-driver-registrar was updated. The following patches have been included in this update:

-----------------------------------------------------------------
Advisory ID: SUSE-RU-2022:3215-1
Released:    Thu Sep  8 15:58:27 2022
Summary:     Recommended update for rpm
Type:        recommended
Severity:    moderate
References:  
This update for rpm fixes the following issues:

- Support Ed25519 RPM signatures [jsc#SLE-24714]

-----------------------------------------------------------------
Advisory ID: SUSE-RU-2022:3223-1
Released:    Fri Sep  9 04:33:35 2022
Summary:     Recommended update for libzypp, zypper
Type:        recommended
Severity:    moderate
References:  1199895,1200993,1201092,1201576,1201638
This update for libzypp, zypper fixes the following issues:

libzypp:

- Improve handling of package locks, allowing to reset the status of its initial state (bsc#1199895)
- Fix issues when receiving exceptions from curl_easy_cleanup (bsc#1201092)
- Don't auto-flag kernel-firmware as 'reboot-needed' (bsc#1200993)
- Remove Medianetwork and its dependent code. First reason for this is that MediaNetwork was just meant as a way to test
  the new CURL based downloaded. Second the Provide API is going to completely replace the current media backend.

zypper:

- Truncate the 'Name' column when using `zypper lr`, if the table is wider than the terminal (bsc#1201638)
- Reject install/remove modifier without argument (bsc#1201576)
- zypper-download: Handle unresolvable arguments as errors
- Put signing key supplying repository name in quotes

-----------------------------------------------------------------
Advisory ID: SUSE-RU-2022:3262-1
Released:    Tue Sep 13 15:34:29 2022
Summary:     Recommended update for gcc11
Type:        recommended
Severity:    moderate
References:  1199140

This update for gcc11 ships some missing 32bit libraries for s390x. (bsc#1199140)

-----------------------------------------------------------------
Advisory ID: SUSE-SU-2022:3271-1
Released:    Wed Sep 14 06:45:39 2022
Summary:     Security update for perl
Type:        security
Severity:    moderate
References:  1047178,CVE-2017-6512
This update for perl fixes the following issues:

- CVE-2017-6512: Fixed File::Path rmtree/remove_tree race condition (bsc#1047178).

-----------------------------------------------------------------
Advisory ID: SUSE-RU-2022:3276-1
Released:    Thu Sep 15 06:15:29 2022
Summary:     This update fixes the following issues:
Type:        recommended
Severity:    moderate
References:  
Implement ECO jsc#SLE-20950 to fix the channel configuration for libeconf-devel having L3 support (instead of unsupported).
-----------------------------------------------------------------
Advisory ID: SUSE-RU-2022:3304-1
Released:    Mon Sep 19 11:43:25 2022
Summary:     Recommended update for libassuan
Type:        recommended
Severity:    moderate
References:  
This update for libassuan fixes the following issues:

- Add a timeout for writing to a SOCKS5 proxy
- Add workaround for a problem with LD_LIBRARY_PATH on newer systems
- Fix issue in the logging code
- Fix some build trivialities
- Upgrade autoconf

-----------------------------------------------------------------
Advisory ID: SUSE-SU-2022:3305-1
Released:    Mon Sep 19 11:45:57 2022
Summary:     Security update for libtirpc
Type:        security
Severity:    important
References:  1201680,CVE-2021-46828
This update for libtirpc fixes the following issues:

- CVE-2021-46828: Fixed denial of service vulnerability with lots of connections (bsc#1201680).

-----------------------------------------------------------------
Advisory ID: SUSE-SU-2022:3307-1
Released:    Mon Sep 19 13:26:51 2022
Summary:     Security update for sqlite3
Type:        security
Severity:    moderate
References:  1189802,1195773,1201783,CVE-2021-36690,CVE-2022-35737
This update for sqlite3 fixes the following issues:

- CVE-2022-35737: Fixed an array-bounds overflow if billions of bytes are used in a string argument to a C API (bnc#1201783).
- CVE-2021-36690: Fixed an issue with the SQLite Expert extension when a column has no collating sequence (bsc#1189802).
  
- Package the Tcl bindings here again so that we only ship one copy of SQLite (bsc#1195773).

-----------------------------------------------------------------
Advisory ID: SUSE-SU-2022:3394-1
Released:    Mon Sep 26 16:05:19 2022
Summary:     Security update for permissions
Type:        security
Severity:    moderate
References:  1203018,CVE-2022-31252
This update for permissions fixes the following issues:

- CVE-2022-31252: Fixed chkstat group controlled paths (bsc#1203018).

-----------------------------------------------------------------
Advisory ID: SUSE-RU-2022:3452-1
Released:    Wed Sep 28 12:13:43 2022
Summary:     Recommended update for glibc
Type:        recommended
Severity:    moderate
References:  1201942
This update for glibc fixes the following issues:

- Reversing calculation of __x86_shared_non_temporal_threshold (bsc#1201942)
- powerpc: Optimized memcmp for power10 (jsc#PED-987)

-----------------------------------------------------------------
Advisory ID: SUSE-RU-2022:3555-1
Released:    Mon Oct 10 14:05:12 2022
Summary:     Recommended update for aaa_base
Type:        recommended
Severity:    important
References:  1199492
This update for aaa_base fixes the following issues:

- The wrapper rootsh is not a restricted shell. (bsc#1199492)

-----------------------------------------------------------------
Advisory ID: SUSE-RU-2022:3565-1
Released:    Tue Oct 11 16:17:38 2022
Summary:     Recommended update for libzypp, zypper
Type:        recommended
Severity:    critical
References:  1189282,1201972,1203649
This update for libzypp, zypper fixes the following issues:

libzypp:
 
- Enable 'zck' support for SUSE Linux Enterprise 15 Service Pack 4 and newer (bsc#1189282)
- Fix regression leading to `-allow-vendor-change` and `no-allow-vendor-change` options being ignored (bsc#1201972)
- Remove migration code that is no longer needed (bsc#1203649)
- Store logrotate files in vendor specif directory '/usr/etc/logrotate.d' if so defined

zypper:

- Fix contradiction in the man page: `--download-in-advance` option is the default behavior
- Fix regression leading to `-allow-vendor-change` and `no-allow-vendor-change` options being ignored (bsc#1201972)
- Fix tests to use locale 'C.UTF-8' rather than 'en_US'
- Make sure 'up' respects solver related CLI options (bsc#1201972)
- Remove unneeded code to compute the PPP status because it is now auto established
- Store logrotate files in vendor specif directory '/usr/etc/logrotate.d' if so defined

-----------------------------------------------------------------
Advisory ID: SUSE-SU-2022:3683-1
Released:    Fri Oct 21 11:48:39 2022
Summary:     Security update for libksba
Type:        security
Severity:    critical
References:  1204357,CVE-2022-3515
This update for libksba fixes the following issues:

  - CVE-2022-3515: Fixed a possible overflow in the TLV parser (bsc#1204357).


The following package changes have been done:

- aaa_base-84.87+git20180409.04c9dae-150300.10.3.1 updated
- glibc-2.31-150300.41.1 updated
- libassuan0-2.5.5-150000.4.3.1 updated
- libeconf0-0.4.4+git20220104.962774f-150300.3.8.1 updated
- libgcc_s1-11.3.0+git1637-150000.1.11.2 updated
- libksba8-1.3.5-150000.4.3.1 updated
- libsqlite3-0-3.39.3-150000.3.17.1 updated
- libstdc++6-11.3.0+git1637-150000.1.11.2 updated
- libtirpc-netconfig-1.2.6-150300.3.14.1 updated
- libtirpc3-1.2.6-150300.3.14.1 updated
- libzypp-17.31.2-150200.45.1 updated
- perl-base-5.26.1-150300.17.11.1 updated
- permissions-20181225-150200.23.15.1 updated
- rpm-ndb-4.14.3-150300.49.1 updated
- zypper-1.14.57-150200.39.1 updated
- container:sles15-image-15.0.0-17.20.53 updated

SUSE: 2022:2693-1 ses/7.1/cephcsi/csi-node-driver-registrar Security Update

October 26, 2022
The container ses/7.1/cephcsi/csi-node-driver-registrar was updated

Summary

Advisory ID: SUSE-RU-2022:3215-1 Released: Thu Sep 8 15:58:27 2022 Summary: Recommended update for rpm Type: recommended Severity: moderate Advisory ID: SUSE-RU-2022:3223-1 Released: Fri Sep 9 04:33:35 2022 Summary: Recommended update for libzypp, zypper Type: recommended Severity: moderate Advisory ID: SUSE-RU-2022:3262-1 Released: Tue Sep 13 15:34:29 2022 Summary: Recommended update for gcc11 Type: recommended Severity: moderate Advisory ID: SUSE-SU-2022:3271-1 Released: Wed Sep 14 06:45:39 2022 Summary: Security update for perl Type: security Severity: moderate Advisory ID: SUSE-RU-2022:3276-1 Released: Thu Sep 15 06:15:29 2022 Summary: This update fixes the following issues: Type: recommended Severity: moderate Advisory ID: SUSE-RU-2022:3304-1 Released: Mon Sep 19 11:43:25 2022 Summary: Recommended update for libassuan Type: recommended Severity: moderate Advisory ID: SUSE-SU-2022:3305-1 Released: Mon Sep 19 11:45:57 2022 Summary: Security update for libtirpc Type: security Severity: important Advisory ID: SUSE-SU-2022:3307-1 Released: Mon Sep 19 13:26:51 2022 Summary: Security update for sqlite3 Type: security Severity: moderate Advisory ID: SUSE-SU-2022:3394-1 Released: Mon Sep 26 16:05:19 2022 Summary: Security update for permissions Type: security Severity: moderate Advisory ID: SUSE-RU-2022:3452-1 Released: Wed Sep 28 12:13:43 2022 Summary: Recommended update for glibc Type: recommended Severity: moderate Advisory ID: SUSE-RU-2022:3555-1 Released: Mon Oct 10 14:05:12 2022 Summary: Recommended update for aaa_base Type: recommended Severity: important Advisory ID: SUSE-RU-2022:3565-1 Released: Tue Oct 11 16:17:38 2022 Summary: Recommended update for libzypp, zypper Type: recommended Severity: critical Advisory ID: SUSE-SU-2022:3683-1 Released: Fri Oct 21 11:48:39 2022 Summary: Security update for libksba Type: security Severity: critical

References

References : 1047178 1189282 1189802 1195773 1199140 1199492 1199895 1200993

1201092 1201576 1201638 1201680 1201783 1201942 1201972 1203018

1203649 1204357 CVE-2017-6512 CVE-2021-36690 CVE-2021-46828 CVE-2022-31252

CVE-2022-3515 CVE-2022-35737

This update for rpm fixes the following issues:

- Support Ed25519 RPM signatures [jsc#SLE-24714]

1199895,1200993,1201092,1201576,1201638

This update for libzypp, zypper fixes the following issues:

libzypp:

- Improve handling of package locks, allowing to reset the status of its initial state (bsc#1199895)

- Fix issues when receiving exceptions from curl_easy_cleanup (bsc#1201092)

- Don't auto-flag kernel-firmware as 'reboot-needed' (bsc#1200993)

- Remove Medianetwork and its dependent code. First reason for this is that MediaNetwork was just meant as a way to test

the new CURL based downloaded. Second the Provide API is going to completely replace the current media backend.

zypper:

- Truncate the 'Name' column when using `zypper lr`, if the table is wider than the terminal (bsc#1201638)

- Reject install/remove modifier without argument (bsc#1201576)

- zypper-download: Handle unresolvable arguments as errors

- Put signing key supplying repository name in quotes

1199140

This update for gcc11 ships some missing 32bit libraries for s390x. (bsc#1199140)

1047178,CVE-2017-6512

This update for perl fixes the following issues:

- CVE-2017-6512: Fixed File::Path rmtree/remove_tree race condition (bsc#1047178).

Implement ECO jsc#SLE-20950 to fix the channel configuration for libeconf-devel having L3 support (instead of unsupported).

This update for libassuan fixes the following issues:

- Add a timeout for writing to a SOCKS5 proxy

- Add workaround for a problem with LD_LIBRARY_PATH on newer systems

- Fix issue in the logging code

- Fix some build trivialities

- Upgrade autoconf

1201680,CVE-2021-46828

This update for libtirpc fixes the following issues:

- CVE-2021-46828: Fixed denial of service vulnerability with lots of connections (bsc#1201680).

1189802,1195773,1201783,CVE-2021-36690,CVE-2022-35737

This update for sqlite3 fixes the following issues:

- CVE-2022-35737: Fixed an array-bounds overflow if billions of bytes are used in a string argument to a C API (bnc#1201783).

- CVE-2021-36690: Fixed an issue with the SQLite Expert extension when a column has no collating sequence (bsc#1189802).

- Package the Tcl bindings here again so that we only ship one copy of SQLite (bsc#1195773).

1203018,CVE-2022-31252

This update for permissions fixes the following issues:

- CVE-2022-31252: Fixed chkstat group controlled paths (bsc#1203018).

1201942

This update for glibc fixes the following issues:

- Reversing calculation of __x86_shared_non_temporal_threshold (bsc#1201942)

- powerpc: Optimized memcmp for power10 (jsc#PED-987)

1199492

This update for aaa_base fixes the following issues:

- The wrapper rootsh is not a restricted shell. (bsc#1199492)

1189282,1201972,1203649

This update for libzypp, zypper fixes the following issues:

libzypp:

- Enable 'zck' support for SUSE Linux Enterprise 15 Service Pack 4 and newer (bsc#1189282)

- Fix regression leading to `-allow-vendor-change` and `no-allow-vendor-change` options being ignored (bsc#1201972)

- Remove migration code that is no longer needed (bsc#1203649)

- Store logrotate files in vendor specif directory '/usr/etc/logrotate.d' if so defined

zypper:

- Fix contradiction in the man page: `--download-in-advance` option is the default behavior

- Fix regression leading to `-allow-vendor-change` and `no-allow-vendor-change` options being ignored (bsc#1201972)

- Fix tests to use locale 'C.UTF-8' rather than 'en_US'

- Make sure 'up' respects solver related CLI options (bsc#1201972)

- Remove unneeded code to compute the PPP status because it is now auto established

- Store logrotate files in vendor specif directory '/usr/etc/logrotate.d' if so defined

1204357,CVE-2022-3515

This update for libksba fixes the following issues:

- CVE-2022-3515: Fixed a possible overflow in the TLV parser (bsc#1204357).

The following package changes have been done:

- aaa_base-84.87+git20180409.04c9dae-150300.10.3.1 updated

- glibc-2.31-150300.41.1 updated

- libassuan0-2.5.5-150000.4.3.1 updated

- libeconf0-0.4.4+git20220104.962774f-150300.3.8.1 updated

- libgcc_s1-11.3.0+git1637-150000.1.11.2 updated

- libksba8-1.3.5-150000.4.3.1 updated

- libsqlite3-0-3.39.3-150000.3.17.1 updated

- libstdc++6-11.3.0+git1637-150000.1.11.2 updated

- libtirpc-netconfig-1.2.6-150300.3.14.1 updated

- libtirpc3-1.2.6-150300.3.14.1 updated

- libzypp-17.31.2-150200.45.1 updated

- perl-base-5.26.1-150300.17.11.1 updated

- permissions-20181225-150200.23.15.1 updated

- rpm-ndb-4.14.3-150300.49.1 updated

- zypper-1.14.57-150200.39.1 updated

- container:sles15-image-15.0.0-17.20.53 updated

Severity
Container Advisory ID : SUSE-CU-2022:2693-1
Container Tags : ses/7.1/cephcsi/csi-node-driver-registrar:v2.5.0 , ses/7.1/cephcsi/csi-node-driver-registrar:v2.5.0-rev1 , ses/7.1/cephcsi/csi-node-driver-registrar:v2.5.0-rev1-build2.2.263
Container Release : 2.2.263
Severity : critical
Type : security

We use cookies to provide and improve our services. By using our site, you consent to our Cookie Policy.